### Method

# EDataServer OAuth2Service can_process

since: 3.28

#### Declaration [src]

    gboolean
    e_oauth2_service_can_process (
      EOAuth2Service* service,
      ESource* source
    )

#### Description [src]

Checks whether the `service` can be used with the given `source`.

The default implementation checks whether the `source` has an `ESourceAuthentication` extension and when its method matches e_oauth2_service_get_name(), then it automatically returns `TRUE`. Contrary, when the `source` contains GNOME Online Accounts or Ubuntu Online Accounts extension, then it returns `FALSE`.

The default implementation is tried always as the first and when it fails, then the descendant’s implementation is called.

Available since: 3.28

#### Parameters

`source`

  Type: `ESource`

  An `ESource`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

Whether the `service` can be used for the given `source`.